#ifndef PROTOCOL_HXX_INCLUDED
#define PROTOCOL_HXX_INCLUDED

#define AIO_PROTOCOL_MINOR           	 0    
#define AIO_PROTOCOL_MAJOR           	 2  



#define PROTOCOL_NUMBERLENGTH            4

#define ERROR_REASONLENGTH               1024


// protocol block identifier
#define OPEN_READ       		 0xcafe0001
#define OPEN_WRITE      		 0xcafe0002
#define READ_BLOCK      		 0xcafe0003
#define WRITE_BLOCK     		 0xcafe0004
#define CLOSE_FILE      		 0xcafe0005
#define OPEN_STREAM     		 0xcafe0011
#define REMOTEFILE_SIZE 		 0xcafe0020
#define REMOTEFILE_STAT 		 0xcafe0021
#define OPEN_UNLINK 			 0xcafe0022

#define REMOTE_ACCESS 			 0x1
#define REMOTE_STREAM 			 0x2

#define RESPONSE_OK     		 0xfeed0001
#define RESPONSE_FAILED 		 0xfeed0002
#define RESPONSE_NOKEY  		 0xfeed0003
#define RESPONSE_DECRYPTERROR 	 0xfeed0004
#define RESPONSE_FILENOTEXISTING 0xfeed0005
#define RESPONSE_FILENAMETOOLONG 0xfeed0006
#define RESPONSE_ACCESSDENIED    0xfeed0007
#define RESPONSE_FILEEXCLUSIVE   0xfeed0008
#define RESPONSE_NOSSL           0xfeed0009
#define RESPONSE_REDIRECTED      0xfeed0010
#define RESPONSE_SERVERFULL      0xfeed0011
#define RESPONSE_CONNECTIONERROR 0xfeed0012
#define RESPONSE_ILLEGALGUID     0xfeed0013

#define MAXBLOCKSIZE    10000000
#define FILENAMELENGTH  2048 // must be divideable by 4

 


#endif // PROTOCOL_HXX_INCLUDED
